// UI 3D elements

#version 330 core

in vec2 ex_coord;
in vec4 ex_normal;

uniform sampler2D diffuseTexture;

uniform vec3 lightDirection;

uniform float alpha = 1.0;

out vec4 out_color;

void main(void)
{
	float blinn = max(dot(normalize(ex_normal.xyz), normalize(-lightDirection)), 0);
	vec4 tex = texture(diffuseTexture, ex_coord);
	out_color = vec4(blinn*tex.rgb, tex.a*alpha);
}