// UI 3D elements

#version 330 core

layout(location=1) in vec3 position;
layout(location=2) in vec3 normal;
layout(location=5) in vec2 tex_coord;

uniform mat4 transform;
uniform mat4 normal_transform;

out vec2 ex_coord;
out vec4 ex_normal;

void main(void)
{
	gl_Position = transform * vec4(position,1.0);
	gl_Position.z = -gl_Position.z;
	ex_normal = normal_transform * vec4(normal,1.0);
	ex_coord = tex_coord;
}