#version 330 core

layout(points) in;
layout(triangle_strip, max_vertices = 4) out;

uniform mat4 perspective;

in vec2 geom_size[1];
in int geom_tex_index[1];

out vec2 frag_coord;
flat out int frag_tex_index;

void main(void)
{
	frag_tex_index = geom_tex_index[0];

	gl_Position = perspective * (gl_in[0].gl_Position + vec4(-geom_size[0].x/2.0, geom_size[0].y/2.0, 0.0, 0.0));
	frag_coord = vec2(0.01,0.99);
	EmitVertex();

	gl_Position = perspective * (gl_in[0].gl_Position + vec4(-geom_size[0].x/2.0, -geom_size[0].y/2.0, 0.0, 0.0));
	frag_coord = vec2(0.01,0.01);
	EmitVertex();

	gl_Position = perspective * (gl_in[0].gl_Position + vec4(geom_size[0].x/2.0, geom_size[0].y/2.0, 0.0, 0.0));
	frag_coord = vec2(0.99,0.99);
	EmitVertex();
	
	gl_Position = perspective * (gl_in[0].gl_Position + vec4(geom_size[0].x/2.0, -geom_size[0].y/2.0, 0.0, 0.0));
	frag_coord = vec2(0.99,0.01);
	EmitVertex();

	EndPrimitive();
}